//	PostProc.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "PostProc.h"
#include "UTF8File.h"

//------------------------------------------------------------------------------
PostProc::PostProc():
Shader(std::wstring(vertexString), std::wstring(fragmentString), L"PostProc")
{

}

//------------------------------------------------------------------------------
const wchar_t PostProc::vertexString[] = {L"\
	void main()\
	{\
		gl_TexCoord[0] = gl_MultiTexCoord0;\
		gl_TexCoord[1] = gl_MultiTexCoord1;\
		gl_Position = ftransform();\
		gl_FrontColor = gl_Color;\
	}\
"};
const wchar_t PostProc::fragmentString[] = {L"\
	uniform sampler2D base, second;\
	\
	void main()\
	{\
		vec4 b = texture2D(base, gl_TexCoord[0].st);\
		vec4 a = texture2D(second, gl_TexCoord[1].st);\
		\
		b.r = b.r - (a.r * 0.5);\
		b.g = b.g - (a.g * 0.5);\
		b.b = b.b - (a.b * 0.5);\
		b.a = 1.0;\
	\
		gl_FragColor = b;\
	}\
"};
